Skip to content
Start here

List Page Shield Cookies

client.PageShield.Cookies.List(ctx, params) (*SinglePage[CookieListResponse], error)
GET/zones/{zone_id}/page_shield/cookies

Lists all cookies collected by Page Shield.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Page ShieldDomain Page Shield ReadDomain Page ShieldPage Shield ReadZone Settings WriteZone Settings Read
ParametersExpand Collapse
params CookieListParams
ZoneID param.Field[string]

Path param: Identifier

maxLength32
Direction param.Field[CookieListParamsDirection]optional

Query param: The direction used to sort returned cookies.'

const CookieListParamsDirectionAsc CookieListParamsDirection = "asc"
const CookieListParamsDirectionDesc CookieListParamsDirection = "desc"
Domain param.Field[string]optional

Query param: Filters the returned cookies that match the specified domain attribute

maxLength1024
Export param.Field[CookieListParamsExport]optional

Query param: Export the list of cookies as a file, limited to 50000 entries.

const CookieListParamsExportCsv CookieListParamsExport = "csv"
Hosts param.Field[string]optional

Query param: Includes cookies that match one or more URL-encoded hostnames separated by commas.

Wildcards are supported at the start and end of each hostname to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match

HTTPOnly param.Field[bool]optional

Query param: Filters the returned cookies that are set with HttpOnly

Name param.Field[string]optional

Query param: Filters the returned cookies that match the specified name. Wildcards are supported at the start and end to support starts with, ends with and contains. e.g. session*

maxLength1024
OrderBy param.Field[CookieListParamsOrderBy]optional

Query param: The field used to sort returned cookies.

const CookieListParamsOrderByFirstSeenAt CookieListParamsOrderBy = "first_seen_at"
const CookieListParamsOrderByLastSeenAt CookieListParamsOrderBy = "last_seen_at"
Page param.Field[string]optional

Query param: The current page number of the paginated results.

We additionally support a special value "all". When "all" is used, the API will return all the cookies with the applied filters in a single page. This feature is best-effort and it may only work for zones with a low number of cookies

PageURL param.Field[string]optional

Query param: Includes connections that match one or more page URLs (separated by commas) where they were last seen

Wildcards are supported at the start and end of each page URL to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match

Path param.Field[string]optional

Query param: Filters the returned cookies that match the specified path attribute

maxLength1024
PerPage param.Field[float64]optional

Query param: The number of results per page.

maximum100
minimum1
SameSite param.Field[CookieListParamsSameSite]optional

Query param: Filters the returned cookies that match the specified same_site attribute

const CookieListParamsSameSiteLax CookieListParamsSameSite = "lax"
const CookieListParamsSameSiteStrict CookieListParamsSameSite = "strict"
const CookieListParamsSameSiteNone CookieListParamsSameSite = "none"
Secure param.Field[bool]optional

Query param: Filters the returned cookies that are set with Secure

Type param.Field[CookieListParamsType]optional

Query param: Filters the returned cookies that match the specified type attribute

const CookieListParamsTypeFirstParty CookieListParamsType = "first_party"
const CookieListParamsTypeUnknown CookieListParamsType = "unknown"
ReturnsExpand Collapse
type CookieListResponse struct{…}
ID string

Identifier

maxLength32
FirstSeenAt Time
formatdate-time
Host string
LastSeenAt Time
formatdate-time
Name string
Type CookieListResponseType
One of the following:
const CookieListResponseTypeFirstParty CookieListResponseType = "first_party"
const CookieListResponseTypeUnknown CookieListResponseType = "unknown"
DomainAttribute stringoptional
ExpiresAttribute Timeoptional
formatdate-time
HTTPOnlyAttribute booloptional
MaxAgeAttribute int64optional
PageURLs []stringoptional
PathAttribute stringoptional
SameSiteAttribute CookieListResponseSameSiteAttributeoptional
One of the following:
const CookieListResponseSameSiteAttributeLax CookieListResponseSameSiteAttribute = "lax"
const CookieListResponseSameSiteAttributeStrict CookieListResponseSameSiteAttribute = "strict"
const CookieListResponseSameSiteAttributeNone CookieListResponseSameSiteAttribute = "none"
SecureAttribute booloptional

List Page Shield Cookies

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  page, err := client.PageShield.Cookies.List(context.TODO(), page_shield.CookieListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "first_seen_at": "2021-08-18T10:51:08Z",
      "host": "blog.cloudflare.com",
      "last_seen_at": "2021-09-02T09:57:54Z",
      "name": "session_id",
      "type": "first_party",
      "domain_attribute": "cloudflare.com",
      "expires_attribute": "2021-10-02T09:57:54Z",
      "http_only_attribute": true,
      "max_age_attribute": 3600,
      "page_urls": [
        "blog.cloudflare.com/page1",
        "blog.cloudflare.com/page2"
      ],
      "path_attribute": "/",
      "same_site_attribute": "strict",
      "secure_attribute": true
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "first_seen_at": "2021-08-18T10:51:08Z",
      "host": "blog.cloudflare.com",
      "last_seen_at": "2021-09-02T09:57:54Z",
      "name": "session_id",
      "type": "first_party",
      "domain_attribute": "cloudflare.com",
      "expires_attribute": "2021-10-02T09:57:54Z",
      "http_only_attribute": true,
      "max_age_attribute": 3600,
      "page_urls": [
        "blog.cloudflare.com/page1",
        "blog.cloudflare.com/page2"
      ],
      "path_attribute": "/",
      "same_site_attribute": "strict",
      "secure_attribute": true
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}